Description: pop ssl_context
Author: Thomas Goirand <zigo@debian.org>
Bug-Debian: https://bugs.debian.org/1073465
Forwarded: no
Last-Update: 2024-07-09

Index: python-wsgi-intercept/wsgi_intercept/_urllib3.py
===================================================================
--- python-wsgi-intercept.orig/wsgi_intercept/_urllib3.py
+++ python-wsgi-intercept/wsgi_intercept/_urllib3.py
@@ -49,6 +49,7 @@ def make_urllib3_override(HTTPConnection
             if sys.version_info > (3, 12):
                 kwargs.pop('key_file', None)
                 kwargs.pop('cert_file', None)
+            kwargs.pop('ssl_context', None)
             WSGI_HTTPSConnection.__init__(self, *args, **kwargs)
             HTTPSConnection.__init__(self, *args, **kwargs)
 
